List all checks (v3)
Lists all current checks in your account.
This /v3 read returns check intent as a constraints array with typed REQUIRED_OUTCOME and MUST_PRESERVE entries. /v1 and /v2 keep the legacy requiredOutcomes and mustPreserve arrays. Like /v2, /v3 does not return the flat project, logicalId, member and pending fields; use projectBindings for the complete project ownership state. Creating, updating and deleting checks remain on /v1.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Filters the results by a string contained in the URL of an API check, for instance a domain like "www.myapp.com". Only returns API checks.
1Response
Successful
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
us-east-1, us-east-2, us-west-1, us-west-2, ca-central-1, sa-east-1, eu-west-1, eu-central-1, eu-west-2, eu-west-3, eu-north-1, eu-south-1, me-south-1, ap-southeast-1, ap-northeast-1, ap-east-1, ap-southeast-2, ap-southeast-3, ap-northeast-2, ap-northeast-3, ap-south-1, af-south-1